Bug 175321 - rhnreg_ks cannot import name capabilities -- circular import
Summary: rhnreg_ks cannot import name capabilities -- circular import
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424 169775
TreeView+ depends on / blocked
 
Reported: 2005-12-08 21:38 UTC by Beth Nackashi
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0105
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:37:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0105 qe-ready SHIPPED_LIVE up2date bug fix update 2006-03-14 05:00:00 UTC

Description Beth Nackashi 2005-12-08 21:38:01 UTC
Description of problem:
[root@test-ia64 tmp]# rhnreg_ks --username bnackash --password dog8code --force
Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 25, in ?
    import rhnreg
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 21, in ?
    import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 15, in ?
    import clientCaps
  File "/usr/share/rhn/up2date_client/clientCaps.py", line 14, in ?
    from up2date_client import capabilities
  File "/usr/share/rhn/up2date_client/capabilities.py", line 12, in ?
    import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 15, in ?
    import clientCaps
  File "/usr/share/rhn/up2date_client/clientCaps.py", line 14, in ?
    from up2date_client import capabilities
ImportError: cannot import name capabilities


Version-Release number of selected component (if applicable):
up2date-4.4.54-4
rhel 3 up2date also

How reproducible:
always

Steps to Reproduce:
1. install latest up2date
2. rhnreg_ks
3.
  
Actual results:

traceback

Expected results:

no traceback

Additional info:

Comment 1 Adrian Likins 2005-12-08 21:44:18 UTC
fix in 4.4.55

Comment 2 Beth Nackashi 2005-12-09 18:17:24 UTC
verified on i386, x86_64, and ia64 using up2date-4.4.56-3


Comment 3 Red Hat Bugzilla 2006-03-15 15:38:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0105.html



Note You need to log in before you can comment on or make changes to this bug.